org.codehaus.groovy.transform

## Class BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo

- java.lang.Object
- - org.codehaus.groovy.transform.BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo

- Enclosing class:
    BuilderASTTransformation.AbstractBuilderStrategy

      protected static class BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo(String name, ClassNode type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `ClassNode` | `getType()`
    `void` | `setName(String name)`
    `void` | `setType(ClassNode type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo

          public BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo(String name,
                                                                       ClassNode type)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getType

          public ClassNode getType()

    - #### setName

          public void setName(String name)

    - #### setType

          public void setType(ClassNode type)